## org.apache.jasper.compiler
Class Validator

    java.lang.Object
      org.apache.jasper.compiler.Validator

public class Validator
extends java.lang.Object

Performs validation on the page elements. Attributes are checked for mandatory presence, entry value validity, and consistency. As a side effect, some page global value (such as those from page direcitves) are stored, for later use.

Author:
  Kin-man Chung, Jan Luehe

Constructor Summary
`Validator()`

Method Summary
`static void` `validate(Compiler compiler, Node.Nodes page)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validator

    public Validator()

Method Detail

### validate

    public static void validate(Compiler compiler,
                                Node.Nodes page)
                         throws JasperException

  Throws:
    `JasperException`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.